# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.authn.oauth
Enum OAuthParameters.OAuthType

    java.lang.Object
      java.lang.Enum<OAuthParameters.OAuthType>
          com.google.gdata.client.authn.oauth.OAuthParameters.OAuthType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<OAuthParameters.OAuthType>

Enclosing class:
  OAuthParameters

    public static enum OAuthParameters.OAuthType

extends java.lang.Enum<OAuthParameters.OAuthType>

Type of OAuth for this parameter set (i.e., two-legged or three-legged OAuth (see "https://sites.google.com/a/google.com/oauth/").

Enum Constant Summary
`THREE_LEGGED_OAUTH`
`TWO_LEGGED_OAUTH`

Method Summary
`static OAuthParameters.OAuthType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static OAuthParameters.OAuthType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TWO_LEGGED_OAUTH

    public static final OAuthParameters.OAuthType TWO_LEGGED_OAUTH

### THREE_LEGGED_OAUTH

    public static final OAuthParameters.OAuthType THREE_LEGGED_OAUTH

Method Detail

### values

    public static OAuthParameters.OAuthType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OAuthParameters.OAuthType c : OAuthParameters.OAuthType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OAuthParameters.OAuthType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null